# Class: PaymentMethodsResource

## Hierarchy

- `default`

  ↳ **`PaymentMethodsResource`**

## Methods

### list

▸ **list**(`customHeaders?`): [`ResponsePromise`](../modules/internal.md#responsepromise)<[`StoreCustomersListPaymentMethodsRes`](../modules/internal-43.md#storecustomerslistpaymentmethodsres)\>

Lists customer payment methods

#### Parameters

| Name | Type |
| :------ | :------ |
| `customHeaders` | `Record`<`string`, `any`\> |

#### Returns

[`ResponsePromise`](../modules/internal.md#responsepromise)<[`StoreCustomersListPaymentMethodsRes`](../modules/internal-43.md#storecustomerslistpaymentmethodsres)\>

#### Defined in

[medusa-js/src/resources/payment-methods.ts:12](https://github.com/medusajs/medusa/blob/29135c051/packages/medusa-js/src/resources/payment-methods.ts#L12)
